# GetLinkedTransactions

Use this function to retrieve one or many linked transactions.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Linked transaction id

You can retrieve an individual record by specifying the LinkedTransactionID.

#### Page

Up to 100 linked transactions will be returned in a single API call. Use the page parameter to specify the page to be returned e.g. page=1.

#### Source transaction id

Filter by the SourceTransactionID. Get all the linked transactions created from a particular ACCPAY invoice.

#### Contact id

Filter by the ContactID. Get all the linked transactions that have been assigned to a particular customer.

#### Status

Get all the linked transactions that have a particular status.

#### Target transaction id

Filter by the TargetTransactionID. Get all the linked transactions allocated to a particular ACCREC invoice.

#### Return options

Select how the data is to be returned.

Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

## Output

#### Return type of LinkedTransactions

#### A list of linked transactions or a single linked transaction depending on the selected Return option (see above).

## Links

[Xero Developer: Linked Transactions (GET)](https://developer.xero.com/documentation/api/linked-transactions#GET)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/linkedtransactions/getlinkedtransactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
